package cn.axzo.msg.center.message.service.card;

import cn.axzo.msg.center.utils.UUIDUtil;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * @author yanglin
 */
@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)

public class CardRequestContext<T> {

    private final String batchNo = UUIDUtil.uuidString();
    private final T request;

    public static <T> CardRequestContext<T> create(T request) {
        return new CardRequestContext<>(request);
    }

}